Summary:	Multitouch X input driver
Name:		xorg-driver-input-mtrack
Version:	0.3.0
Release:	2
Epoch:		1
License:	GPL v2+
Group:		X11/Applications
URL:		https://github.com/BlueDragonX/xf86-input-mtrack
Source0:	https://github.com/BlueDragonX/xf86-input-mtrack/archive/v%{version}.tar.gz?/mtrack-%{version}.tgz
# Source0-md5:	111803d7728036d3ab75c587adf23130
Source1:	xf86-input-mtrack.conf
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	mtdev-devel >= 1.1.0
BuildRequires:	xorg-util-util-macros
BuildRequires:	xorg-xserver-server-devel
%{?requires_xorg_xserver_xinput}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This X input driver provides gestures support for multitouch
touchpads, in particular those with integrated button.

%prep
%setup -q -n xf86-input-mtrack-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT/etc/X11/xorg.conf.d
cp -p %{SOURCE1} $RPM_BUILD_ROOT/etc/X11/xorg.conf.d/40-xf86-input-mtrack.conf

%{__rm} $RPM_BUILD_ROOT%{_libdir}/xorg/modules/input/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.md CREDITS
%config(noreplace) %verify(not md5 mtime size) /etc/X11/xorg.conf.d/40-xf86-input-mtrack.conf
%attr(755,root,root) %{_libdir}/xorg/modules/input/mtrack_drv.so
%changelog
* Mon Mar 11 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xorg-driver-input-mtrack.git;a=log;h=master

* Mon Mar 11 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 9132f6d
- release 2 (by relup.sh)

* Sun Feb 17 2013 Elan Ruusamäe <glen@delfi.ee> 91a350f
outdated

* Sun Feb 17 2013 Elan Ruusamäe <glen@delfi.ee> c624cab
up to 0.3.0 release

* Sat Feb 16 2013 Elan Ruusamäe <glen@delfi.ee> 38f9493
fill configuration options to config

* Mon Feb 04 2013 Elan Ruusamäe <glen@delfi.ee> dacc34f
add md5

* Sun Feb 03 2013 Elan Ruusamäe <glen@delfi.ee> 1b31c0e
new, version 1.0-rc2 (20120115)

* Sun Feb 03 2013 Elan Ruusamäe <glen@delfi.ee> d4efeef
new, version 1.0rc2 (20110303)

